resource_rules:
  issues:
    rules:
      - name: Add missed slo label to bugs over SLO threshold
        conditions:
          state: opened
          labels:
            - type::bug
          forbidden_labels:
            - SLO::Missed
            - featureflag::disabled
            - "bug::vulnerability" # vulnerabilities are managed with a specific policy: comment-vulnerability-issue-slo.yml
          ruby: |
            severity_regex = /^severity::[12]$/

            severity_slo_map = {
              "severity::1": 30,
              "severity::2": 60
            }

            if resource[:labels].grep(severity_regex).present? && labels_chronologically.present?
              severity_label = labels_chronologically.reverse_each.find do |label|
                label.name.match?(severity_regex)
              end

              return false unless severity_label

              slo = severity_slo_map[severity_label.name.to_sym]

              severity_label.added_at < slo.days.ago
            end
        actions:
          labels:
            - SLO::Missed
